#pragma once


#include "./utils/vector.h"
#include "./utils/matrix.h"


namespace numerics{
	
	template <typename T>
	T abs(const T a){

		if(a < 0){
			return -a;
		}else{
			return a;
		}
	}



} // namespace numerics

